# make -libs subpkg
%define libs 1

Name:	 OpenEXR
Version: 1.6.1
Release: 8.1%{?dist}
Summary: A high dynamic-range (HDR) image file format

Group:	 System Environment/Libraries
License: BSD
URL:	 http://www.openexr.com/
Source0: http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz
Source1: http://download.savannah.nongnu.org/releases/openexr/openexr-%{version}.tar.gz.sig
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes: openexr < %{version}-%{release}
Provides:  openexr = %{version}-%{release}

Patch1: OpenEXR-1.6.1-pkgconfig.patch
Patch2: openexr-1.6.1-gcc43.patch

## upstream patches
Patch100: openexr-1.6.1-CVE-2009-1720-1.patch 
Patch101: openexr-1.6.1-CVE-2009-1720-2.patch
Patch102: openexr-1.6.1-CVE-2009-1721.patch

BuildRequires:  automake libtool
BuildRequires:  ilmbase-devel
BuildRequires:  zlib-devel
BuildRequires:  pkgconfig

%if 0%{?libs}
Requires: %{name}-libs = %{version}-%{release}
%else
Obsoletes: %{name}-libs < %{version}-%{release}
Provides:  %{name}-libs = %{version}-%{release}
%endif

%description
OpenEXR is a high dynamic-range (HDR) image file format developed by Industrial
Light & Magic for use in computer imaging applications. This package contains
libraries and sample applications for handling the format.

%package devel
Summary: Headers and libraries for building apps that use %{name} 
Group:	 Development/Libraries
Obsoletes: openexr-devel < %{version}-%{release}
Provides:  openexr-devel = %{version}-%{release}
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
Requires: ilmbase-devel
Requires: pkgconfig
%description devel
%{summary}.

%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
%description libs
%{summary}.


%prep
%setup -q -n openexr-%{version}

%patch1 -p1 -b .pkgconfig
%patch2 -p1 -b .gcc43

%patch100 -p1 -b .CVE-2009-1720-1
%patch101 -p1 -b .CVE-2009-1720-2
%patch102 -p1 -b .CVE-2009-1721

# work to remove rpaths, recheck on new releases
aclocal -Im4
libtoolize --force
rm -f configure
autoconf


%build
%configure --disable-static

# hack to omit unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# unpackaged files
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
rm -f  $RPM_BUILD_ROOT%{_libdir}/lib*.la

# prepare docs
mkdir -p rpmdocs
cp -a IlmImfExamples rpmdocs/examples
rm -rf rpmdocs/examples/.deps


%check
# Not enabled, by default, takes a *very* long time. -- Rex
%{?_with_check:make check}


%clean
rm -rf $RPM_BUILD_ROOT


%post %{?libs:libs} -p /sbin/ldconfig

%postun %{?libs:libs}  -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%{_bindir}/*

%if 0%{?libs}
%files libs
%defattr(-,root,root,-)
%endif
%doc AUTHORS ChangeLog LICENSE NEWS README
%{_libdir}/libIlmImf.so.6*

%files devel
%defattr(-,root,root,-)
#omit for now, they're mostly useless, and include multilib conflicts (#342781)
#doc rpmdocs/examples 
%{_datadir}/aclocal/openexr.m4
%{_includedir}/OpenEXR/*
%{_libdir}/libIlmImf.so
%{_libdir}/pkgconfig/OpenEXR.pc



%changelog

